#include <sta/devices/arduino/printable_serial.hpp>

#ifdef STA_PLATFORM_ARDUINO

#include <sta/devices/arduino/hal.hpp>

namespace sta
{
    PrintableSerial::PrintableSerial(unsigned long baud)
        : Printable{}
    {
        Serial.begin(baud);
    }

    void PrintableSerial::print(const char * str, size_t length)
    {
        Serial.write(str);
    }
} // namespace sta

#endif // STA_PLATFORM_ARDUINO